diff -r -c -b -N cosmomc/camb/power_tilt.f90 cosmomc_wiggles/camb/power_tilt.f90
*** cosmomc/camb/power_tilt.f90	2008-03-13 15:40:20.000000000 +0100
--- cosmomc_wiggles/camb/power_tilt.f90	2009-10-28 16:24:59.108718668 +0100
***************
*** 33,40 ****
  
       private
      
!       character(LEN=*), parameter :: Power_Name = 'power_tilt'
! 
        integer, parameter :: nnmax= 5 
         !Maximum possible number of different power spectra to use
  
--- 33,43 ----
  
       private
      
! !wig      character(LEN=*), parameter :: Power_Name = 'power_tilt'
!       character(80) :: Power_Name = 'power_sr'
!       logical, parameter :: useTplPhase = .false.      
!       logical, save :: useSecondOrder = .false.
! !end wig
        integer, parameter :: nnmax= 5 
         !Maximum possible number of different power spectra to use
  
***************
*** 51,56 ****
--- 54,109 ----
         real(dl) k_0_scalar, k_0_tensor
         real(dl) ScalarPowerAmp(nnmax)
   
+ !wig
+ ! slow-roll power
+        real(dl) P_scalar
+        real(dl) k_star
+        real(dl) eps1(nnmax)
+        real(dl) eps2(nnmax)
+        real(dl) eps3(nnmax)
+ !dbi params
+        real(dl) gam(nnmax)      
+        real(dl) del1(nnmax)
+ ! tpl power
+        real(dl) invsigma0(nnmax)
+        real(dl) loginvsigma0(nnmax)
+        real(dl) logeps1invsigma0(nnmax)
+        real(dl) Xsigma0(nnmax)
+        real(dl) varphi(nnmax) 
+ ! osc power
+        real(dl) amposc(nnmax)
+        real(dl) omega(nnmax)
+        real(dl) logomega(nnmax)
+        real(dl) phase(nnmax)
+        real(dl) powosc(nnmax)
+        real(dl) logpowosc(nnmax)
+        real(dl) k_0_osc
+ !Internal parameters              
+        real(dl) ks_pivot          !scalar pivot wave number
+        real(dl) kt_pivot          !tensor pivot wave number
+        real(dl) ko_pivot          !wiggles pivot wave number
+        real(dl) P_0_scalar(nnmax) !scalar normalisation during inflation
+        real(dl) P_0_tensor(nnmax) !tensor normalisation during inflation
+        real(dl) as0(nnmax)        !scalar power spectrum coefficients: order 0
+        real(dl) as1(nnmax)        !order 1
+        real(dl) as2(nnmax)        !order 2
+        real(dl) amps0(nnmax)      !amplitudes of tpl effect in scalar power: order 0
+        real(dl) amps1(nnmax)      !order 1
+        real(dl) amps2(nnmax)      !order 2
+        real(dl) args0(nnmax)      !argument of the modulations: order 0
+        real(dl) args1(nnmax)      !order 1
+        real(dl) args2(nnmax)      !order 2
+        real(dl) at0(nnmax)        !Tensor power spectrum coefficients: same as scalars
+        real(dl) at1(nnmax)
+        real(dl) at2(nnmax)
+        real(dl) ampt0(nnmax) 
+        real(dl) ampt1(nnmax)
+        real(dl) ampt2(nnmax)
+        real(dl) argt0(nnmax)
+        real(dl) argt1(nnmax) 
+        real(dl) argt2(nnmax)
+ !end wig
+         
        end Type InitialPowerParams
  
        real(dl) curv  !Curvature contant, set in InitializePowers     
***************
*** 69,74 ****
--- 122,129 ----
          Type (InitialPowerParams) :: AP
  
           AP%nn     = 1 !number of initial power spectra
+ !wig
+            
           AP%an     = 1 !scalar spectral index
           AP%n_run   = 0 !running of scalar spectral index
           AP%ant    = 0 !tensor spectra index
***************
*** 77,82 ****
--- 132,163 ----
           AP%k_0_tensor = 0.05
           AP%ScalarPowerAmp = 1
  
+          AP%amposc = 0.
+          AP%logomega = 2.
+          AP%omega = 10**(AP%logomega)
+          AP%phase = 0.
+          AP%logpowosc = 0.
+          AP%powosc = 10**(AP%logpowosc)
+          AP%k_0_osc = 0.05
+          
+          AP%eps1 = 0.01
+          AP%eps2 = 0.01 
+          AP%eps3 = 0.
+          AP%P_scalar=1.d-9
+          AP%k_star = 0.05            
+ 
+          AP%del1 = 0.
+          AP%gam = 1.
+         
+ 
+          AP%Xsigma0 = 0.                
+          AP%logeps1invsigma0 = 0. 
+          AP%loginvsigma0 = AP%logeps1invsigma0 - log10(AP%eps1) 
+          AP%invsigma0=10**(AP%loginvsigma0)
+          AP%varphi=0.
+         
+ !end wig
+ 
         end subroutine SetDefPowerParams
  
         subroutine InitializePowers(AParamSet,acurv)
***************
*** 85,90 ****
--- 166,181 ----
           !Could read spectra from disk here, do other processing, etc.
  
          real(dl) acurv
+ !wig
+         integer :: i        
+ !from Hankel functions
+         real(dl), parameter :: C_const = -0.7296
+ !wkb or uniform approx gives a slightly different constant
+         real(dl), parameter :: D_const = -0.7652
+ !        real(dl), parameter :: C_const = D_const
+ 
+         real(dl), parameter :: pi = 3.14159265
+ !end wig
  
          if (AParamSet%nn > nnmax) then
             write (*,*) 'To use ',AParamSet%nn,'power spectra you need to increase'
***************
*** 95,100 ****
--- 186,347 ----
          curv=acurv         
  
  !Write implementation specific code here...
+ !wig
+         if (Power_Name.eq.'power_tilt') then
+            
+            P%ks_pivot = P%k_0_scalar
+            P%kt_pivot = P%k_0_tensor
+            P%ko_pivot = P%k_0_osc
+ 
+            do i=1, P%nn        
+                                                 
+               P%omega(i) = 10**(P%logomega(i))
+               P%powosc(i) = 10**(P%logpowosc(i))
+ 
+               P%as0(i) = 0.
+               P%as1(i) = P%an(i)-1
+               P%as2(i) = P%n_run(i)/2.
+               P%amps0(i) = P%amposc(i)
+               P%amps1(i) = 0.
+               P%amps2(i) = 0.
+               P%args0(i) = P%phase(i)
+               P%args1(i) = P%omega(i)/P%powosc(i)
+               P%args2(i) = 0.
+               
+               P%at0(i) = 0.
+               P%at1(i) = P%ant(i)
+               P%at2(i) = 0.
+               P%ampt0(i) = P%amps0(i)
+               P%ampt1(i) = 0.
+               P%ampt2(i) = 0.
+               P%argt0(i) = P%phase(i)
+               P%argt1(i) = P%omega(i)/P%powosc(i)
+               P%argt2(i) = 0.
+              
+               P%P_0_scalar(i) = P%ScalarPowerAmp(i)
+               P%P_0_tensor(i) = P%rat(i)*P%ScalarPowerAmp(i)
+ 
+            enddo
+ 
+         elseif ((Power_Name.eq.'power_sr').or.(Power_Name.eq.'power_dbi')) then
+            if(abs(curv) .gt. 1.d-3) then
+               write(*,*)'Non flat cosmology, curv = ',curv
+               write(*,*)'Cannot use SR or TPL spectrum.'
+               stop
+            endif
+ 
+            P%ks_pivot = P%k_star
+            P%kt_pivot = P%k_star
+            P%ko_pivot = P%k_star
+ 
+ 
+            do i=1, P%nn        
+ 
+ !TODO: derive second order tpl corrections?
+               if (useSecondOrder) then
+                  if (P%Xsigma0(i).ne.0.) then
+                     useSecondOrder=.false.
+                     write(*,*)'PowerIni: SR second order disabled: TPL not implemented! '
+                  endif
+                  if ((P%del1(i).ne.0.).or.(P%gam(i).ne.1.)) then
+                     useSecondorder = .false.
+                     write(*,*)'PowerIni: SR second order disabled: DBI slow-roll not implemented!'
+                  endif
+               endif
+ 
+               if ((power_Name.eq.'power_sr').and. &
+                    ((P%del1(i).ne.0.).or.(P%gam(i).ne.1.)) ) then
+                  write(*,*)'power_sr with non-vanishing DBI params!'
+                  write(*,*)'resetting to standard SR'
+                  P%del1(i) = 0.
+                  P%gam(i) = 1.
+               endif
+ 
+ 
+ !first order tpl corrections
+               
+               P%loginvsigma0(i) = P%logeps1invsigma0(i) - log10(P%eps1(i))
+               P%invsigma0(i)=10**(P%loginvsigma0(i))
+               
+               P%amps0(i) = 2.*P%Xsigma0(i)
+               P%amps1(i) = pi*P%Xsigma0(i)*(2.*P%eps1(i) + P%eps2(i))
+               P%amps2(i) = 0.
+               if (useTplPhase) then
+                  P%args0(i) = 2.*P%invsigma0(i)*(1. + P%eps1(i)) + P%varphi(i)
+               else
+                  P%args0(i) = P%varphi(i)
+               endif
+               P%args1(i) = 2.*P%invsigma0(i)*P%eps1(i)
+               P%args2(i) = 0.
+ 
+               P%ampt0(i) = P%amps0(i)
+               P%ampt1(i) = pi*P%Xsigma0(i)*2.*P%eps1(i)
+               P%ampt2(i) = 0.
+               P%argt0(i) = P%args0(i)
+               P%argt1(i) = P%args1(i)
+               P%argt2(i) = 0.
+ 
+ 
+ !first and second order slowroll
+ 
+               P%as0(i) = 1. + P%eps1(i)*(-2.*(C_const+1.))-P%eps2(i)*C_const &
+                    + (C_const + 2.)*P%del1(i)
+               P%as1(i) = -2.*P%eps1(i) - P%eps2(i) + P%del1(i)
+               P%as2(i) = 0.
+                             
+               P%at0(i) = 1. + P%eps1(i)*(-2.*(C_const+1.))
+               P%at1(i) = -2.*P%eps1(i)
+               P%at2(i) = 0.
+ 
+               if (useSecondOrder) then
+                                                    
+ 
+                  P%as0(i) = P%as0(i) &
+                       + P%eps1(i)*P%eps1(i) * (2.*C_const**2 + 2.*C_const + pi**2/2. - 5.) &
+                       + P%eps1(i)*P%eps2(i) * (C_const**2 - C_const + 7.*pi**2/12. - 7.) &
+                       + P%eps2(i)*P%eps2(i) * (0.5*C_const**2 + pi**2/8. - 1.) &
+                       + P%eps2(i)*P%eps3(i) * (-0.5*C_const**2 + pi**2/24.)
+ 
+                  P%as1(i) = P%as1(i) &
+                       + P%eps1(i)*P%eps1(i) * 2.*(2.*C_const + 1.) &
+                       + P%eps1(i)*P%eps2(i) * (2.*C_const - 1.) &
+                       + P%eps2(i)*P%eps2(i) * C_const &
+                       + P%eps2(i)*P%eps3(i) * (-C_const)
+ 
+                  P%as2(i) = P%as2(i) &
+                       + P%eps1(i)*P%eps1(i) * 4. &
+                       + P%eps1(i)*P%eps2(i) * 2. &
+                       + P%eps2(i)*P%eps2(i) * 1. &
+                       + P%eps2(i)*P%eps3(i) * (-1.)
+ 
+                  
+                  P%at0(i) = P%at0(i) &
+                       +  P%eps1(i)*P%eps1(i) * (2.*C_const**2 + 2.*C_const + pi**2/2. - 5.) &
+                       +  P%eps1(i)*P%eps2(i) * (-C_const**2 - 2.*C_const + pi**2/12. - 2.)
+                  
+                  P%at1(i) = P%at1(i) &
+                       + P%eps1(i)*P%eps1(i) * 2.*(2.*C_const + 1.) &
+                       + P%eps1(i)*P%eps2(i) * 2.*(-C_const - 1.)
+ 
+                  P%at2(i) = P%at2(i)  &
+                       + P%eps1(i)*P%eps1(i) * 4. &
+                       + P%eps1(i)*P%eps2(i) * (-2.)
+                       
+               endif
+ 
+               
+               !Relative normalisation of scalar and tensor spectra
+                  
+               P%P_0_scalar(i)=P%P_scalar/(P%as0(i))
+ !              P%P_0_tensor(i)=P%P_scalar/(P%as0(i))*P%eps1(i)*16.
+               P%P_0_tensor(i)=P%P_scalar/(P%as0(i))*P%eps1(i)*16/P%gam(i)
+ 
+            enddo
+ 
+         else
+            stop 'No such initial power spectra'
+         endif
+ !end wig
  
         end subroutine InitializePowers
         
***************
*** 119,126 ****
          real(dl) ScalarPower,k, lnrat
          integer in
  
!           lnrat = log(k/P%k_0_scalar)
!           ScalarPower=P%ScalarPowerAmp(in)*exp((P%an(in)-1)*lnrat + P%n_run(in)/2*lnrat**2)   
   
        end function ScalarPower
  
--- 366,405 ----
          real(dl) ScalarPower,k, lnrat
          integer in
  
! !wig
!         real :: angle
!         
! !          lnrat = log(k/P%k_0_scalar)
! !          ScalarPower=P%ScalarPowerAmp(in)*exp((P%an(in)-1)*lnrat + P%n_run(in)/2*lnrat**2)   
!                  
!         lnrat = log(k/P%ks_pivot)
! 
!         if (Power_Name.eq.'power_tilt') then
! 
!            angle = P%args0(in) + P%args1(in) * ((k/P%ko_pivot)**P%powosc(in)-1.)
! 
!            ScalarPower = exp(P%as1(in)*lnrat + P%as2(in)*lnrat**2) &
!                 * (1. - P%amps0(in)*cos(angle))
! 
!         elseif ((Power_Name.eq.'power_sr').or.(Power_Name.eq.'power_dbi')) then
! 
!            angle = P%args0(in) + P%args1(in) * log(k/P%ko_pivot) 
! 
!            ScalarPower = (P%as0(in) + P%as1(in)*lnrat + 0.5*P%as2(in)*lnrat**2) &
!                 * (1. - P%amps0(in)*cos(angle)) - P%amps1(in)*sin(angle)
! 
!         else
!            stop 'No such initial power spectra'
!         endif
! 
!         ScalarPower = ScalarPower*P%P_0_scalar(in)
! 
!         if(ScalarPower .lt. 0.0) then
!            ScalarPower =0.
!         end if
! 
! 
! !end wig
   
        end function ScalarPower
  
***************
*** 142,150 ****
     
          integer in
  
!         TensorPower=P%rat(in)*P%ScalarPowerAmp(in)*exp(P%ant(in)*log(k/P%k_0_tensor))
          if (curv < 0) TensorPower=TensorPower*tanh(PiByTwo*sqrt(-k**2/curv-3)) 
  
         
        end function TensorPower
  
--- 421,463 ----
     
          integer in
  
! !wig
!          real :: lnrat,angle
!  
! !        TensorPower=P%rat(in)*P%ScalarPowerAmp(in)*exp(P%ant(in)*log(k/P%k_0_tensor))
! !        if (curv < 0) TensorPower=TensorPower*tanh(PiByTwo*sqrt(-k**2/curv-3)) 
!          
!          lnrat = log(k/P%kt_pivot)
!  
!          if (Power_Name.eq.'power_tilt') then
!  
!             angle = P%argt0(in) + P%argt1(in) * ((k/P%ko_pivot)**P%powosc(in)-1.)
!  
!             TensorPower = exp(P%at1(in)*lnrat) &
!                  * (1. - P%ampt0(in)*cos(angle))
!  
!  
!          elseif ((Power_Name.eq.'power_sr').or.(Power_Name.eq.'power_dbi')) then
!  
!             angle = P%argt0(in) + P%argt1(in) * log(k/P%ko_pivot)
!  
!             TensorPower = (P%at0(in) + P%at1(in)*lnrat + 0.5*P%at2(in)*lnrat**2) &
!                  * (1. - P%ampt0(in)*cos(angle)) - P%ampt1(in)*sin(angle)
!  
!          else
!             stop 'No such initial power spectra'
!          endif
!  
!          TensorPower = TensorPower*P%P_0_tensor(in)
!   
          if (curv < 0) TensorPower=TensorPower*tanh(PiByTwo*sqrt(-k**2/curv-3)) 
  
+          if(TensorPower .lt. 0.0) then
+             TensorPower=0.
+          endif
+          
+ !end wig
+ 
         
        end function TensorPower
  
***************
*** 156,161 ****
--- 469,477 ----
           logical, intent(IN) :: Scal, Tens
           integer num, Power_Descript
           num=0
+ !wig
+          if (Power_Name.eq.'power_tilt') then
+ 
           if (Scal) then
           num=num+1
           Keys(num) = 'n_s'
***************
*** 180,185 ****
--- 496,587 ----
             Vals(num) = P%rat(in)
           end if
           end if
+             num=num+1
+             Keys(num) = 'amposc'
+             Vals(num) = P%amposc(in)
+             num=num+1
+             Keys(num) = 'logomega'
+             Vals(num) = P%logomega(in)
+             num=num+1
+             Keys(num) = 'phase'
+             Vals(num) = P%phase(in)
+             num=num+1
+             Keys(num) = 'o_logpow'
+             Vals(num) = P%logpowosc(in)
+             num=num+1
+             Keys(num) = 'o_pivot'
+             Vals(num) = P%k_0_osc
+ 
+          elseif (Power_Name.eq.'power_sr') then
+ 
+             num=num+1
+             Keys(num) = 'k_star'
+             Vals(num) = P%k_star
+             num=num+1 
+             Keys(num) = 'P_scalar'
+             Vals(num) = P%P_scalar     
+             num=num+1 
+             Keys(num) = 'eps1'
+             Vals(num) = P%eps1(in)
+             num=num+1 
+             Keys(num) = 'eps2'
+             Vals(num) = P%eps2(in)
+             num=num+1 
+             Keys(num) = 'eps3'
+             Vals(num) = P%eps3(in)
+             num=num+1 
+             Keys(num) = 'isigma0'
+             Vals(num) = P%invsigma0(in)
+             num=num+1
+             Keys(num) = 'lisigma0'
+             Vals(num) = P%loginvsigma0(in)
+             num=num+1 
+             Keys(num) = 'Xsigma0'
+             Vals(num) = P%Xsigma0(in)
+             num=num+1 
+             Keys(num) = 'varphi'
+             Vals(num) = P%varphi(in)
+ 
+          elseif (Power_Name.eq.'power_dbi') then
+ 
+             num=num+1
+             Keys(num) = 'k_star'
+             Vals(num) = P%k_star
+             num=num+1 
+             Keys(num) = 'P_scalar'
+             Vals(num) = P%P_scalar     
+             num=num+1 
+             Keys(num) = 'eps1'
+             Vals(num) = P%eps1(in)
+             num=num+1 
+             Keys(num) = 'eps2'
+             Vals(num) = P%eps2(in)
+             num=num+1 
+             Keys(num) = 'eps3'
+             Vals(num) = P%eps3(in)
+             num=num+1 
+             Keys(num) = 'gam'
+             Vals(num) = P%gam(in)
+             num=num+1 
+             Keys(num) = 'del1'
+             Vals(num) = P%del1(in)
+             num=num+1 
+             Keys(num) = 'isigma0'
+             Vals(num) = P%invsigma0(in)
+             num=num+1
+             Keys(num) = 'lisigma0'
+             Vals(num) = P%loginvsigma0(in)
+             num=num+1 
+             Keys(num) = 'Xsigma0'
+             Vals(num) = P%Xsigma0(in)
+             num=num+1 
+             Keys(num) = 'varphi'
+             Vals(num) = P%varphi(in)
+ 
+          else
+             stop 'No such initial power spectra'
+          endif
+ !end wig
           Power_Descript = num
  
         end  function Power_Descript
***************
*** 195,200 ****
--- 597,609 ----
             InitPower%k_0_tensor = Ini_Read_Double_File(Ini,'pivot_tensor',InitPower%k_0_tensor) 
             InitPower%nn = Ini_Read_Int('initial_power_num')
             if (InitPower%nn>nnmax) stop 'Too many initial power spectra - increase nnmax in InitialPower'
+ 
+ !wig
+  
+            Power_Name = Ini_Read_String('power_name')
+            
+            if (Power_Name.eq.'power_tilt') then
+ !end wig
             InitPower%rat(:) = 1
             do i=1, InitPower%nn
  
***************
*** 208,215 ****
--- 617,676 ----
  
                InitPower%ScalarPowerAmp(i) = Ini_Read_Double_Array_File(Ini,'scalar_amp',i,1._dl) 
                !Always need this as may want to set tensor amplitude even if scalars not computed
+ 
+ !wig
+                  InitPower%logomega(i) = Ini_Read_Double_Array_File(Ini,'osc_logomega',i,2.d0)
+                  InitPower%amposc(i) = Ini_Read_Double_Array_File(Ini,'osc_amp',i,0.d0)             
+                  InitPower%omega(i) = 10**(InitPower%logomega(i))
+                  InitPower%phase(i) = Ini_Read_Double_Array_File(Ini,'osc_phase',i,0.d0)
+                  InitPower%logpowosc(i) = Ini_Read_Double_Array_File(Ini,'osc_logpower',i,0.d0)
+                  InitPower%powosc(i) = 10**(InitPower%logpowosc(i))
+ !end wig
+ 
             end do
            
+ !wig
+               InitPower%k_0_osc = Ini_Read_Double('osc_pivot',5d-2)
+ 
+            elseif ((Power_Name.eq.'power_sr').or.(Power_Name.eq.'power_dbi')) then
+            
+               do i=1, InitPower%nn
+               
+ !                 if (P%WantScalars .or. P%WantTransfer) then
+ 
+                  InitPower%eps1(i)= Ini_Read_Double_Array_File(Ini,'eps1',i,0.01d0)
+                  InitPower%eps2(i)=Ini_Read_Double_Array_File(Ini,'eps2',i,0.01d0)
+                  InitPower%eps3(i)=Ini_Read_Double_Array_File(Ini,'eps3',i,0.00d0)
+                  InitPower%gam(i)=Ini_Read_Double_Array_File(Ini,'gam',i,1.00d0)
+                  InitPower%del1(i)=Ini_Read_Double_Array_File(Ini,'del1',i,0.00d0)
+                  InitPower%logeps1invsigma0(i) &
+                       = Ini_Read_Double_Array_File(Ini,'logeps1invsigma0',i,1d0)
+                  InitPower%loginvsigma0(i) = InitPower%logeps1invsigma0(i) &
+                       - log10(InitPower%eps1(i))
+                  InitPower%invsigma0(i) = 10**(InitPower%loginvsigma0(i))
+                  InitPower%Xsigma0(i) = Ini_Read_Double_Array_File(Ini,'Xsigma0',i,0d0)
+                  InitPower%varphi(i) = Ini_Read_Double_Array_file(Ini,'varphi',i,0.d0)
+ 
+ !                 endif
+               
+               enddo
+            
+               InitPower%k_star= Ini_Read_Double('k_star',0.05d0)
+               InitPower%P_scalar= 1e-10*exp(Ini_Read_Double('ln[10^{10} P_scalar]',1d0))
+ 
+            else
+ 
+               stop 'No such initial power spectrum'
+ 
+            endif
+  
+ !end wig
+ 
+ 
+               
+ 
+ 
+           
         end  subroutine InitialPower_ReadParams 
  
  
diff -r -c -b -N cosmomc/distparams.ini cosmomc_wiggles/distparams.ini
*** cosmomc/distparams.ini	2009-09-17 15:14:51.000000000 +0200
--- cosmomc_wiggles/distparams.ini	2009-10-28 16:27:22.860218535 +0100
***************
*** 49,54 ****
--- 49,55 ----
  
  plot_meanlikes = T
  shade_meanlikes = T
+ td_meanlikes = F
  
  # if non-zero, output _thin file, thinned by thin_factor
  thin_factor = 0
***************
*** 100,106 ****
  
  #Parameters to use. If zero use all parameters which have lables.
  plotparams_num = 0
! plotparams = omegabh2 omegadmh2 tau ns
  
  #Get set label to empty to not include a parameter in the parameter_names file
  #lab[asz]=
--- 101,107 ----
  
  #Parameters to use. If zero use all parameters which have lables.
  plotparams_num = 0
! plotparams = omegabh2 omegadmh2 tau ns eps1 eps2 eps3 logomega amp psi logsig
  
  #Get set label to empty to not include a parameter in the parameter_names file
  #lab[asz]=
diff -r -c -b -N cosmomc/params_CMB.paramnames cosmomc_wiggles/params_CMB.paramnames
*** cosmomc/params_CMB.paramnames	2009-09-17 17:47:04.000000000 +0200
--- cosmomc_wiggles/params_CMB.paramnames	2009-10-28 16:57:21.948206196 +0100
***************
*** 5,14 ****
  omegak        \Omega_K
  fnu           f_\nu		#neutrino energy density as fraction of omegadmh2
  w             w			#constant equation of state parameter for scalar field dark energy 
! ns            n_s		#beware that pivot scale can change in .ini file
! nt            n_t
! nrun          n_{run}
! logA          log[10^{10} A_s]
  r             r			#ratio of tensor to scalar primordial amplitudes at pivot scale
  asz           A_{SZ}		#SZ template amplitude, as in WMAP
  omegal*       \Omega_\Lambda
--- 5,19 ----
  omegak        \Omega_K
  fnu           f_\nu		#neutrino energy density as fraction of omegadmh2
  w             w			#constant equation of state parameter for scalar field dark energy 
! eps1	      \epsilon_1-\delta_1	#first slow roll parameter - first sound flow param
! eps2	      \epsilon_2+\delta_1	#second slow roll parameter + first sound flow param
! eps3	      \epsilon_3		#third slow roll parameter
! unused	      \log(\epsilon_1)		#unused
! logfreq	      \log(\epsilon_1/\sigma_0)	#superimposed oscillation frequency
! amposc	      x\sigma_0			#superimposed oscillation amplitude
! phase	      \psi			#superimposed oscillation phase shift
! logpow	      log(p)			#superimposed power law dependence
! lnA           log[10^{10} P_*]
  r             r			#ratio of tensor to scalar primordial amplitudes at pivot scale
  asz           A_{SZ}		#SZ template amplitude, as in WMAP
  omegal*       \Omega_\Lambda
diff -r -c -b -N cosmomc/params_CMB.paramnames.powerlaw cosmomc_wiggles/params_CMB.paramnames.powerlaw
*** cosmomc/params_CMB.paramnames.powerlaw	1970-01-01 01:00:00.000000000 +0100
--- cosmomc_wiggles/params_CMB.paramnames.powerlaw	2009-10-28 16:57:55.436207482 +0100
***************
*** 0 ****
--- 1,25 ----
+ omegabh2      \Omega_b h^2	#physical baryon density
+ omegadmh2     \Omega_{DM} h^2	#physical dark matter density, including CDM and massive neutrinos
+ theta         \theta		#100 times the ratio of the angular diameter distance to the LSS sound horizon (approx)
+ tau           \tau
+ omegak        \Omega_K
+ fnu           f_\nu		#neutrino energy density as fraction of omegadmh2
+ w             w			#constant equation of state parameter for scalar field dark energy 
+ ns            n_s		#beware that pivot scale can change in .ini file
+ nt            n_t
+ nrun          n_{run}
+ unused	      unused		#unused
+ logfreq	      log(\omega)	#superimposed oscillation frequency
+ amposc	      A_\omega		#superimposed oscillation amplitude
+ phase	      \psi		#superimposed oscillation phase shift
+ logpow	      log(p)		#superimposed power law dependence
+ lnA           log[10^{10} P_*]
+ r             r			#ratio of tensor to scalar primordial amplitudes at pivot scale
+ asz           A_{SZ}		#SZ template amplitude, as in WMAP
+ omegal*       \Omega_\Lambda
+ age*          Age/Gyr
+ omegam*       \Omega_m
+ sigma8*       \sigma_8
+ zrei*         z_{re}
+ r10*          r_{10}		#tensor-scalar C_l amplitude at l=10
+ H0*           H_0		#hubble parameter is H0 km/s/Mpc
diff -r -c -b -N cosmomc/params.ini cosmomc_wiggles/params.ini
*** cosmomc/params.ini	2009-10-27 15:35:25.000000000 +0100
--- cosmomc_wiggles/params.ini	2009-10-28 16:57:27.384206271 +0100
***************
*** 67,84 ****
  
  #use fast-slow parameter distinctions to speed up 
  #(note for basic models WMAP3 code is only ~3x as fast as CAMB)
! use_fast_slow = F
  
  #Can use covariance matrix for proposal density, otherwise use settings below
  #Covariance matrix can be produced using "getdist" program.
! propose_matrix = params_CMB.covmat
  
  #If propose_matrix is blank (first run), can try to use numerical Hessian to 
  #estimate a good propose matrix. As a byproduct you also get an approx best fit point
  estimate_propose_matrix = F
  
  #Tolerance on log likelihood to use when estimating best fit point
! delta_loglike = 2
  
  #Scale of proposal relative to covariance; 2.4 is recommended by astro-ph/0405462 for Gaussians
  #If propose_matrix is much broader than the new distribution, make proportionately smaller
--- 67,84 ----
  
  #use fast-slow parameter distinctions to speed up 
  #(note for basic models WMAP3 code is only ~3x as fast as CAMB)
! use_fast_slow = T
  
  #Can use covariance matrix for proposal density, otherwise use settings below
  #Covariance matrix can be produced using "getdist" program.
! #propose_matrix = params_CMB.covmat
  
  #If propose_matrix is blank (first run), can try to use numerical Hessian to 
  #estimate a good propose matrix. As a byproduct you also get an approx best fit point
  estimate_propose_matrix = F
  
  #Tolerance on log likelihood to use when estimating best fit point
! delta_loglike = 0.1
  
  #Scale of proposal relative to covariance; 2.4 is recommended by astro-ph/0405462 for Gaussians
  #If propose_matrix is much broader than the new distribution, make proportionately smaller
***************
*** 135,146 ****
  #If true, generate checkpoint files and terminated runs can be restarted using exactly the same command
  #and chains continued from where they stopped
  #With checkpoint=T note you must delete all chains/file_root.* files if you want new chains with an old file_root
! checkpoint = F
  
  
  #CAMB parameters
  #If we are including tensors
! compute_tensors = F
  #Initial power spectrum amplitude point (Mpc^{-1})
  pivot_k = 0.05
  #If using tensors, enforce n_T = -A_T/(8A_s)
--- 135,146 ----
  #If true, generate checkpoint files and terminated runs can be restarted using exactly the same command
  #and chains continued from where they stopped
  #With checkpoint=T note you must delete all chains/file_root.* files if you want new chains with an old file_root
! checkpoint = T
  
  
  #CAMB parameters
  #If we are including tensors
! compute_tensors = T
  #Initial power spectrum amplitude point (Mpc^{-1})
  pivot_k = 0.05
  #If using tensors, enforce n_T = -A_T/(8A_s)
***************
*** 150,156 ****
  CMB_lensing = T
  #increase accuracy_level to run CAMB on higher accuracy
  #(default is about 0.3%, accuracy_level=2 around 0.1% at high l)
! accuracy_level = 1
  
  #If action = 1
  redo_likelihoods = T
--- 150,161 ----
  CMB_lensing = T
  #increase accuracy_level to run CAMB on higher accuracy
  #(default is about 0.3%, accuracy_level=2 around 0.1% at high l)
! accuracy_level = 6
! l_accuracy_level = 2
! l_sample_level = 1
! k_src_sample_level = 1.
! k_int_sample_level = 1.
! camb_compute_every_l = T
  
  #If action = 1
  redo_likelihoods = T
***************
*** 176,187 ****
  param[fnu] = 0 0 0 0 0
  param[w] = -1 -1 -1 0 0
  
! param[ns] = 0.95 0.5 1.5 0.02 0.01
! param[nt] = 0 0 0 0 0
! param[nrun] = 0 0 0 0 0
! 
! #log[10^10 A_s]
! param[logA] = 3 2.7 4 0.01 0.01
! param[r] = 0 0 0 0 0
  #SZ amplitude, as in WMAP analysis
  param[asz]= 1 0 2 0.4 0.4
--- 181,206 ----
  param[fnu] = 0 0 0 0 0
  param[w] = -1 -1 -1 0 0
  
! ### power law ###
! 
! #param[ns] = 0.95 0.5 1.5 0.02 0.01
! #param[nt] = 0 0 0 0 0
! #param[nrun] = 0 0 0 0 0
! #param[unused] = 0 0 0 0 0
! ### or slow roll (default) ###
! 
! param[eps1] = 0.1 0.00001 0.2 0.01 0.02
! param[eps2] = -0.04 -0.2 0.2  0.01 0.02
! param[eps3] = -0.04 -0.2 0.2  0.01 0.02
! param[unused] = 0 0 0 0 0
! 
! param[logfreq] = 1.5 1 2.5 0.5 0.2
! param[amposc] = 0.05 0 0.45 0.1 0.2
! param[phase] = 0 0 6.28 0.4 0.1
! param[logpow] = 0 0 0 0 0
! 
! #ln[10^10 A_s]
! param[lnA] = 3 2.7 4 0.01 0.01
! param[r] = 1 1 1 0 0
  #SZ amplitude, as in WMAP analysis
  param[asz]= 1 0 2 0.4 0.4
